clang-tools 10.0.0

Public Attributes | List of all members
clang::move::ClangMoveContext Struct Reference

`#include <Move.h>`

Collaboration diagram for clang::move::ClangMoveContext:
[legend]

## Public Attributes
MoveDefinitionSpec | Spec
std::map< std::string, tooling::Replacements > & | FileToReplacements
std::string | OriginalRunningDirectory
std::string | FallbackStyle
bool | DumpDeclarations

## Detailed Description

Definition at line 82 of file Move.h.

## Member Data Documentation

## ◆ DumpDeclarations

bool clang::move::ClangMoveContext::DumpDeclarations

Definition at line 95 of file Move.h.

Referenced by clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ FallbackStyle

std::string clang::move::ClangMoveContext::FallbackStyle

Definition at line 93 of file Move.h.

## ◆ FileToReplacements

std::map<std::string, tooling::Replacements>& clang::move::ClangMoveContext::FileToReplacements

Definition at line 85 of file Move.h.

## ◆ OriginalRunningDirectory

std::string clang::move::ClangMoveContext::OriginalRunningDirectory

Definition at line 91 of file Move.h.

## ◆ Spec

MoveDefinitionSpec clang::move::ClangMoveContext::Spec

Definition at line 83 of file Move.h.

Referenced by clang::move::ClangMoveTool::onEndOfTranslationUnit().

The documentation for this struct was generated from the following file:

- Move.h